summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 85912b0)
raw | patch | inline | side by side (parent: 85912b0)
author | Santi_Béjar <sbejar@gmail.com> | |
Wed, 5 Oct 2005 16:58:10 +0000 (18:58 +0200) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 5 Oct 2005 18:23:23 +0000 (11:23 -0700) |
Signed-off-by: Santi Béjar <sbejar@gmail.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-commit.sh | patch | blob | history | |
git-fetch.sh | patch | blob | history |
diff --git a/git-commit.sh b/git-commit.sh
index 5e85b54645edbbdb5e2ba82573ca25d37feacfd1..591fcdceb1a3d47ce311bda0b3a81b62e99f47fc 100755 (executable)
--- a/git-commit.sh
+++ b/git-commit.sh
PARENTS=""
fi
git-status >>.editmsg
-if [ "$?" != "0" -a ! -f $GIT_DIR/MERGE_HEAD ]
+if [ "$?" != "0" -a ! -f "$GIT_DIR/MERGE_HEAD" ]
then
rm -f .editmsg
git-status
diff --git a/git-fetch.sh b/git-fetch.sh
index 61da6a9e3167845cf5b0f9260206b2dd590532df..d3988660ff8cf214cfb1f5903a4bab5ab63b6cea 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
if test "" = "$append"
then
- : >$GIT_DIR/FETCH_HEAD
+ : >"$GIT_DIR/FETCH_HEAD"
fi
append_fetch_head () {
if git-cat-file commit "$head_" >/dev/null 2>&1
then
headc_=$(git-rev-parse --verify "$head_^0") || exit
- echo "$headc_ $not_for_merge_ $note_" >>$GIT_DIR/FETCH_HEAD
+ echo "$headc_ $not_for_merge_ $note_" >>"$GIT_DIR/FETCH_HEAD"
echo >&2 "* committish: $head_"
echo >&2 " $note_"
else
- echo "$head_ not-for-merge $note_" >>$GIT_DIR/FETCH_HEAD
+ echo "$head_ not-for-merge $note_" >>"$GIT_DIR/FETCH_HEAD"
echo >&2 "* non-commit: $head_"
echo >&2 " $note_"
fi